Bug 60717

Summary: New port: graphics/glew The OpenGL Extension Wrangler Library
Product: Ports & Packages Reporter: Igor Pokrovsky <tiamat>
Component: Individual Port(s)Assignee: Kirill Ponomarev <krion>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
glew.port none

Description Igor Pokrovsky 2003-12-30 03:30:13 UTC
	
	The goal of the OpenGL Extension Wrangler Library (GLEW) is to assist
	C/C++ OpenGL developers with two tedious tasks: initializing and using
	extensions and writing portable applications. GLEW provides an efficient
	run-time mechanism to determine whether a certain extension is supported
	by the driver or not. OpenGL core and extension functionality is exposed
	via a single header file.

	http://glew.sourceforge.net/
Comment 1 Kirill Ponomarev freebsd_committer 2003-12-30 07:59:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->krion

I'll take it.
Comment 2 Igor Pokrovsky 2003-12-31 03:54:03 UTC
diff -ruN glew.old/files/patch-Makefile glew/files/patch-Makefile
--- glew.old/files/patch-Makefile	Wed Dec 31 06:43:05 2003
+++ glew/files/patch-Makefile	Wed Dec 31 06:25:53 2003
@@ -1,6 +1,6 @@
 --- Makefile.orig	Sun Dec 14 18:21:44 2003
-+++ Makefile	Mon Dec 29 11:09:28 2003
-@@ -83,6 +83,25 @@
++++ Makefile	Wed Dec 31 06:25:49 2003
+@@ -83,6 +83,27 @@
  
  else
  # ----------------------------------------------------------------------------
@@ -8,6 +8,8 @@
 +# ----------------------------------------------------------------------------
 +ifeq ($(patsubst FreeBSD%,FreeBSD,$(SYSTEM)), FreeBSD)
 +NAME = GLEW
++CC ?= gcc
++LD ?= ld
 +CFLAGS.EXTRA = -I${X11BASE}/include
 +LDFLAGS.SO = -shared -soname $(LIB.SONAME)
 +LDFLAGS.EXTRA = -L${X11BASE}/lib
@@ -26,11 +28,20 @@
  # Irix
  # ----------------------------------------------------------------------------
  ifeq ($(patsubst IRIX%,IRIX,$(SYSTEM)), IRIX)
-@@ -153,6 +172,7 @@
- else
- # ----------------------------------------------------------------------------
- $(error "Platform '$(SYSTEM)' not supported")
-+endif
+@@ -158,6 +179,7 @@
  endif
  endif
  endif
++endif
+ 
+ AR = ar
+ INSTALL = install
+@@ -171,7 +193,7 @@
+ STRIP = -s
+ endif
+ INCLUDE = -Iinclude
+-CFLAGS = $(OPT) $(WARN) $(INCLUDE) $(CFLAGS.EXTRA)
++CFLAGS += $(OPT) $(WARN) $(INCLUDE) $(CFLAGS.EXTRA)
+ 
+ LIB.SRCS = src/glew.c
+ LIB.OBJS = $(LIB.SRCS:.c=.o)
Comment 3 Kirill Ponomarev freebsd_committer 2004-01-01 18:27:14 UTC
State Changed
From-To: open->closed

New port added, thanks!